package com.sooka.sponest.dataexchange.remoteapi.fallback.center.auth;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.exchange.domian.LoginBody;
import com.sooka.sponest.dataexchange.remoteapi.service.center.auth.RemoteAuthBaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.Map;


@Component
public class RemoteAuthBaseServiceFallbackFactory implements FallbackFactory<RemoteAuthBaseService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteAuthBaseServiceFallbackFactory.class);

    @Override
    public RemoteAuthBaseService create(Throwable cause) {
        log.error("认证中心-服务调用失败:{}", cause.getMessage());


        return new RemoteAuthBaseService() {

            @Override
            public R<?> loginRemote(LoginBody form) {
                return null;
            }

            @Override
            public R<?> getRemoteSecretKey() {
                return null;
            }

        };
    }
}
