package com.sooka.sponest.dataexchange.remoteapi.fallback.center.data;


import com.alibaba.fastjson.JSONArray;
import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.exchange.domian.DataExchangeEntity;
import com.sooka.sponest.dataexchange.remoteapi.service.center.data.RemoteDataBaseService;
import com.sooka.sponest.dataexchange.remoteapi.service.center.event.RemoteEventBaseService;
import com.sooka.sponest.dataexchange.sendChange.domian.CenterdataTKeyProjects;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;


@Component
public class RemoteDataBaseServiceFallbackFactory implements FallbackFactory<RemoteDataBaseService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteDataBaseServiceFallbackFactory.class);

    @Override
    public RemoteDataBaseService create(Throwable cause) {
        log.error("数据中心-服务调用失败:{}", cause.getMessage());

        return new RemoteDataBaseService() {

            @Override
            public R<?> receivedMessage(List<CenterdataTKeyProjects> list) {
                return null;
            }

            @Override
            public R<?> deleteProject(String[] projectIds) {
                return null;
            }

            @Override
            public R<?> insertEnforceLawInfoByList(JSONArray jsonArray) {
                return null;
            }
        };
    }
}
