package com.sooka.sponest.dataexchange.remoteapi.fallback.center.event;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.exchange.domian.DataExchangeEntity;
import com.sooka.sponest.dataexchange.exchange.domian.LoginBody;
import com.sooka.sponest.dataexchange.remoteapi.service.center.auth.RemoteAuthBaseService;
import com.sooka.sponest.dataexchange.remoteapi.service.center.event.RemoteEventBaseService;
import com.sooka.sponest.dataexchange.sendChange.domian.CenterdataTKeyProjects;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;


@Component
public class RemoteEventBaseServiceFallbackFactory implements FallbackFactory<RemoteEventBaseService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteEventBaseServiceFallbackFactory.class);

    @Override
    public RemoteEventBaseService create(Throwable cause) {
        log.error("事件中心-服务调用失败:{}", cause.getMessage());

        return new RemoteEventBaseService() {

            @Override
            public R<?> insert3rdSystemEvent(DataExchangeEntity dataExchangeEntity) {
                return null;
            }

            @Override
            public R<?> subscribeTo(String list) {
                return null;
            }

            @Override
            public R<?> getDataSubscribeTo() {
                return null;
            }

        };
    }
}
