package com.sooka.sponest.dataexchange.remoteapi.fallback.center.lawenforcement;


import com.alibaba.fastjson.JSONArray;
import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.remoteapi.service.center.lawenforcement.RemoteLawenforcementBaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;


@Component
public class RemoteLawenforcementBaseServiceFallbackFactory implements FallbackFactory<RemoteLawenforcementBaseService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteLawenforcementBaseServiceFallbackFactory.class);

    @Override
    public RemoteLawenforcementBaseService create(Throwable cause) {
        log.error("执法中心-服务调用失败:{}", cause.getMessage());

        return new RemoteLawenforcementBaseService() {

            @Override
            public R<?> insertEnforceLawInfoByList(JSONArray jsonArray) {
                return null;
            }
        };
    }
}
