package com.sooka.sponest.dataexchange.remoteapi.service.center.data;


import com.alibaba.fastjson.JSONArray;
import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.exchange.domian.DataExchangeEntity;
import com.sooka.sponest.dataexchange.remoteapi.fallback.center.data.RemoteDataBaseServiceFallbackFactory;
import com.sooka.sponest.dataexchange.remoteapi.fallback.center.event.RemoteEventBaseServiceFallbackFactory;
import com.sooka.sponest.dataexchange.remoteapi.service.ModulesServiceNameContants;
import com.sooka.sponest.dataexchange.sendChange.domian.CenterdataTKeyProjects;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.Mapping;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;
import java.util.Map;


@FeignClient(
        contextId = "RemoteDataBaseService",
        value = ModulesServiceNameContants.CENTER_DATA,
        fallbackFactory = RemoteDataBaseServiceFallbackFactory.class
)
public interface RemoteDataBaseService {

    /**
     * 重点工程接收项目信息
     * @param list
     * @return
     */
    @PostMapping("/projects/receivedMessage")
    public R<?> receivedMessage(List<CenterdataTKeyProjects> list);

    /**
     * 重点工程删除项目信息
     * @param projectIds
     * @return
     */
    @PostMapping("/projects/deleteProject")
    public R<?> deleteProject(String[] projectIds);

    @PostMapping("/record/insertEnforceLawInfoByList")
    public R<?> insertEnforceLawInfoByList(JSONArray jsonArray);

}
