package com.sooka.sponest.dataexchange.sendChange.quartz;


import cn.hutool.http.HttpStatus;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.dahuatech.hutool.http.Method;
import com.dahuatech.icc.oauth.http.IccHttpHttpRequest;
import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.remoteapi.service.center.lawenforcement.RemoteLawenforcementBaseService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * 执法报备对接长春市接口（省平台工单接口）
 */
@Slf4j
@Component
public class EquipDataJob {

    @Resource
    private RemoteLawenforcementBaseService remoteLawenforcementBaseService;

    private static final String accessKey = "e85332c67204481a911aaed7cdc123be";
    private static final String ip = "http://172.24.5.241:6689";
    private static final String Authorization = "NmRiNjc5NTBkYzQ2OGJlMzM3YzE5MzhmMGJiMWY5YTg6MTRjYjM0ZGY2ODVhY2Y5MDNmYzY5OWU2ZTEwYmY2OGE=";
    private static final String ServiceID = "pUrKvA";

    /**
     * 省平台工单
     * 每10分钟查询增量
     * */
    @Scheduled(cron = "0 0/10 * * * ?")
//    @Scheduled(cron = "0 40 11 * * ?")
    public void getEquipJobRecords() {
        log.info("定时任务调用省平台工单开始");
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Date now = new Date();
        String nowDate = sdf.format(now);
        Integer page = 1;
        String prBody = null;
        for (int i = 1; i <= page; i++) {
            String urlString = ip + "/api/interface?page=" + i + "&size=10&updateStartTime=" + nowDate + " 00:00:00&updateEndTime=" + nowDate + " 23:59:59";
//            String urlString = ip + "/api/interface?page="+i+"&size=10&createStartTime=2024-01-01 00:00:00&createEndTime=2024-11-07 23:59:59";
//            log.info(urlString);
            try {
                log.info("----开始执行----{}------请求地址:{}", "调用省平台工单接口", urlString);
                IccHttpHttpRequest pr = new IccHttpHttpRequest(urlString, Method.GET);
                pr.getHttpRequest().header("access-key", accessKey);
                pr.getHttpRequest().header("Authorization-Type", "Basic");//固定
                pr.getHttpRequest().header("Authorization", "Basic " + Authorization);
                pr.getHttpRequest().header("Service-ID", ServiceID);
                prBody = pr.execute();
                JSONObject jsonObject = JSONObject.parseObject(prBody);
                if ((Integer) jsonObject.get("code") == HttpStatus.HTTP_OK) {
                    log.info("返回值解析成功");
                    JSONObject data = JSONObject.parseObject(jsonObject.get("data").toString());
                    page = (Integer) data.get("pages");
                    log.info("current = {}, pages = {}, total = {}",i,page,data.get("total"));
                    if(page > 0){
                        JSONArray jsonArray = JSONObject.parseArray(data.get("records").toString());
                        R<?> result = remoteLawenforcementBaseService.insertEnforceLawInfoByList(jsonArray);
                        if (result.getCode() == 200) {
                            log.info("数字执法---推送成功");
                        } else {
                            log.error("数字执法---推送失败：code={},msg={}", result.getCode(),result.getMsg());
                        }
                    }else{
                        log.info("----未查询到数据----{}------返回值:{}", "调用省平台工单接口", prBody);
                    }
                }
            } catch (Exception e) {
                log.error("调用接口报错 prBody：{}", prBody);
                e.printStackTrace();
            }
        }
    }
}


